## libsndfile 1.0.31

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.1..3.18)

# MSVC runtime library flags are selected by an abstraction, CMake >= 3.15
# This policy still need to be set even with cmake_minimum_required() command above.
if (POLICY CMP0091)
	if ((DEFINED ENABLE_STATIC_RUNTIME) AND (DEFINED CMAKE_MSVC_RUNTIME_LIBRARY))
		message (FATAL_ERROR "Both ENABLE_STATIC_RUNTIME and CMAKE_MSVC_RUNTIME_LIBRARY are set.")
		return ()
	endif ()

	if (DEFINED CMAKE_MSVC_RUNTIME_LIBRARY)
		cmake_policy (SET CMP0091 NEW)
	else ()
		cmake_policy (SET CMP0091 OLD)
	endif ()
endif ()

project(libsndfile VERSION 1.0.31)

#
# Variables
#

set (CMAKE_C_STANDARD 99)
set (CMAKE_C_STANDARD_REQUIRED TRUE)
set_property(GLOBAL PROPERTY USE_FOLDERS ON)

set (PACKAGE_NAME ${PROJECT_NAME})
set (CPACK_PACKAGE_VERSION_MAJOR ${PROJECT_VERSION_MAJOR})
set (CPACK_PACKAGE_VERSION_MINOR ${PROJECT_VERSION_MINOR})
set (CPACK_PACKAGE_VERSION_PATCH ${PROJECT_VERSION_PATCH})
set (CPACK_PACKAGE_VERSION_STAGE "")
set (CPACK_PACKAGE_VERSION_FULL "${PROJECT_VERSION}${CPACK_PACKAGE_VERSION_STAGE}")

#
# System-wide includes
#

include (GNUInstallDirs)
include (FeatureSummary)
include (CMakeDependentOption)
include (CTest)
include (CheckCCompilerFlag)

#
# Options
#

option (BUILD_SHARED_LIBS "Build shared libraries" OFF)
if (BUILD_SHARED_LIBS AND BUILD_TESTING)
	set (BUILD_TESTING OFF)
	message ("Build testing required static libraries. To prevent build errors BUILD_TESTING disabled.")
endif ()
option (BUILD_PROGRAMS "Build programs" ON)
option (BUILD_EXAMPLES "Build examples" ON)
option (ENABLE_CPACK "Enable CPack support" ON)
option (ENABLE_EXPERIMENTAL "Enable experimental code" OFF)
option (ENABLE_BOW_DOCS "Enable black-on-white html docs" OFF)
if (MSVC AND (DEFINED ENABLE_STATIC_RUNTIME))
	option (ENABLE_STATIC_RUNTIME "Enable static runtime" ${ENABLE_STATIC_RUNTIME})
elseif (MINGW)
	option (ENABLE_STATIC_RUNTIME "Enable static runtime" OFF)
endif ()
option (ENABLE_PACKAGE_CONFIG "Generate and install package config file" ON)
option (INSTALL_PKGCONFIG_MODULE "Generate and install pkg-config module" ON)

list (APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake")
if (CMAKE_VERSION VERSION_LESS 3.14)
	list (APPEND CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake/sqlite")
endif ()

#
# Setup definitions
#

include(SndFileChecks)


cmake_dependent_option (BUILD_REGTEST "Build regtest" ON "SQLITE3_FOUND" OFF)
cmake_dependent_option (ENABLE_EXTERNAL_LIBS "Enable FLAC, Vorbis, and Opus codecs" ON "Vorbis_FOUND;FLAC_FOUND;OPUS_FOUND" OFF)
cmake_dependent_option (ENABLE_CPU_CLIP "Enable tricky cpu specific clipper" ON "CPU_CLIPS_POSITIVE;CPU_CLIPS_NEGATIVE" OFF)
if (NOT ENABLE_CPU_CLIP)
	set (CPU_CLIPS_POSITIVE FALSE)
	set (CPU_CLIPS_NEGATIVE FALSE)
endif ()
cmake_dependent_option (ENABLE_COMPATIBLE_LIBSNDFILE_NAME "Set DLL name to libsndfile-1.dll (canonical name), sndfile.dll otherwise" OFF "WIN32;BUILD_SHARED_LIBS" OFF)
cmake_dependent_option (INSTALL_MANPAGES "Install man pages for programs" ON "BUILD_PROGRAMS" OFF)

if (NOT MSVC)
	if (CPU_IS_X86)
		check_c_compiler_flag (-msse2 HAVE_MSSE2_COMPILER_FLAG)
		if (HAVE_MSSE2_COMPILER_FLAG)
			cmake_dependent_option (ENABLE_SSE2 "Add SSE2 compiler flag" ON "HAVE_MSSE2_COMPILER_FLAG" OFF)
		endif ()
	endif ()
endif ()
if (ENABLE_SSE2)
	add_compile_options (-msse2)
endif ()

set (HAVE_EXTERNAL_XIPH_LIBS ${ENABLE_EXTERNAL_LIBS})
set (HAVE_SQLITE3 ${BUILD_REGTEST})
set (HAVE_ALSA_ASOUNDLIB_H ${ALSA_FOUND})
set (HAVE_SNDIO_H ${SNDIO_FOUND})

set (ENABLE_EXPERIMENTAL_CODE ${ENABLE_EXPERIMENTAL})
set (HAVE_SPEEX ${ENABLE_EXPERIMENTAL})
set (HAVE_OPUS ${ENABLE_EXPERIMENTAL})

add_feature_info (BUILD_SHARED_LIBS BUILD_SHARED_LIBS "build shared libraries")
add_feature_info (ENABLE_EXTERNAL_LIBS ENABLE_EXTERNAL_LIBS "enable FLAC, Vorbis, and Opus codecs")
add_feature_info (ENABLE_EXPERIMENTAL ENABLE_EXPERIMENTAL "enable experimental code")
add_feature_info (BUILD_TESTING BUILD_TESTING "build tests")
add_feature_info (BUILD_REGTEST BUILD_REGTEST "build regtest")
add_feature_info (ENABLE_CPACK ENABLE_CPACK "enable CPack support")
add_feature_info (ENABLE_CPU_CLIP ENABLE_CPU_CLIP "Enable tricky cpu specific clipper")
add_feature_info (ENABLE_BOW_DOCS ENABLE_BOW_DOCS "enable black-on-white html docs")
add_feature_info (ENABLE_PACKAGE_CONFIG ENABLE_PACKAGE_CONFIG "generate and install package config file")
add_feature_info (INSTALL_PKGCONFIG_MODULE INSTALL_PKGCONFIG_MODULE "generate and install pkg-config module")
add_feature_info (INSTALL_MANPAGES INSTALL_MANPAGES "install man pages for programs")
if (WIN32 AND BUILD_SHARED_LIBS)
	add_feature_info (ENABLE_COMPATIBLE_LIBSNDFILE_NAME ENABLE_COMPATIBLE_LIBSNDFILE_NAME "Set DLL name to libsndfile-1.dll (canonical name), sndfile.dll otherwise")
endif ()

if (HAVE_MSSE2_COMPILER_FLAG)
	add_feature_info (ENABLE_SSE2 ENABLE_SSE2 "add SSE2 compiler flag")
endif ()




set_package_properties (Ogg PROPERTIES
	TYPE RECOMMENDED
	URL "www.xiph.org/ogg/"
	DESCRIPTION "library for manipulating ogg bitstreams"
	PURPOSE "Required to enable Vorbis, Speex, and Opus support"
	)
set_package_properties (Vorbis PROPERTIES
	TYPE RECOMMENDED
	URL "www.vorbis.com/"
	DESCRIPTION "open source lossy audio codec"
	PURPOSE "Enables Vorbis support"
	)
set_package_properties (FLAC PROPERTIES
	TYPE RECOMMENDED
	URL "www.xiph.org/flac/"
	DESCRIPTION "Free Lossless Audio Codec Library"
	PURPOSE "Enables FLAC support"
	)
set_package_properties(Opus PROPERTIES
	TYPE RECOMMENDED
	URL	"www.opus-codec.org/"
	DESCRIPTION "Standardized open source low-latency fullband codec"
	PURPOSE	"Enables experimental Opus support"
	)
set_package_properties(Speex PROPERTIES TYPE OPTIONAL
	URL "www.speex.org/"
	DESCRIPTION "an audio codec tuned for speech"
	PURPOSE "Enables experemental Speex support"
	)
set_package_properties (SQLite3 PROPERTIES
	TYPE OPTIONAL
	URL "www.sqlite.org/"
	DESCRIPTION "light weight SQL database engine."
	PURPOSE "Enables regtest"
	)
if (BUILD_SHARED_LIBS)
	set_package_properties (PythonInterp PROPERTIES
		TYPE REQUIRED
		URL "www.python.org/"
		DESCRIPTION "Python is a widely used high-level programming language."
		PURPOSE "Required to build shared libraries"
		)
endif()

feature_summary (WHAT ALL)

#
# Setup configuration
#

configure_file (src/config.h.cmake src/config.h)

configure_file (include/sndfile.h.in include/sndfile.h)

if (INSTALL_PKGCONFIG_MODULE)

	set (prefix ${CMAKE_INSTALL_PREFIX})
	set (exec_prefix "\$\{prefix\}")
	set (libdir "\$\{prefix\}/${CMAKE_INSTALL_LIBDIR}")
	set (includedir "\$\{prefix\}/${CMAKE_INSTALL_INCLUDEDIR}")
	set (VERSION ${PROJECT_VERSION})
	if (ENABLE_EXTERNAL_LIBS)
		set (EXTERNAL_XIPH_REQUIRE "flac ogg vorbis vorbisenc opus")
		if (ENABLE_EXPERIMENTAL)
			set (EXTERNAL_XIPH_REQUIRE "${EXTERNAL_XIPH_REQUIRE} speex")
		endif ()
	endif ()

	configure_file (sndfile.pc.in sndfile.pc @ONLY)

endif ()

#
# libsndfile
#

# Public libsndfile headers
set (sndfile_HDRS
	include/sndfile.hh
	${CMAKE_CURRENT_BINARY_DIR}/include/sndfile.h
	)

#
# libsndfile static library
#

add_library (sndfile
	src/sfconfig.h
	src/sfendian.h
	src/sf_unistd.h
	src/common.h
	src/common.c
	src/file_io.c
	src/command.c
	src/pcm.c
	src/ulaw.c
	src/alaw.c
	src/float32.c
	src/double64.c
	src/ima_adpcm.c
	src/ms_adpcm.c
	src/gsm610.c
	src/dwvw.c
	src/vox_adpcm.c
	src/interleave.c
	src/strings.c
	src/dither.c
	src/cart.c
	src/broadcast.c
	src/audio_detect.c
 	src/ima_oki_adpcm.c
	src/ima_oki_adpcm.h
	src/alac.c
	src/chunk.c
	src/ogg.h
	src/ogg.c
	src/chanmap.h
	src/chanmap.c
	src/id3.c
	$<$<BOOL:${WIN32}>:src/windows.c>
	src/sndfile.c
	src/aiff.c
	src/au.c
	src/avr.c
	src/caf.c
	src/dwd.c
	src/flac.c
	src/g72x.c
	src/htk.c
	src/ircam.c
	src/macos.c
	src/mat4.c
	src/mat5.c
	src/nist.c
	src/paf.c
	src/pvf.c
	src/raw.c
	src/rx2.c
	src/sd2.c
	src/sds.c
	src/svx.c
	src/txw.c
	src/voc.c
	src/wve.c
	src/w64.c
	src/wavlike.h
	src/wavlike.c
	src/wav.c
	src/xi.c
	src/mpc2k.c
	src/rf64.c
	src/ogg_vorbis.c
	src/ogg_speex.c
	src/ogg_pcm.c
	src/ogg_opus.c
	src/ogg_vcomment.c
	src/nms_adpcm.c
	src/GSM610/config.h
	src/GSM610/gsm.h
	src/GSM610/gsm610_priv.h
	src/GSM610/add.c
	src/GSM610/code.c
	src/GSM610/decode.c
	src/GSM610/gsm_create.c
	src/GSM610/gsm_decode.c
	src/GSM610/gsm_destroy.c
	src/GSM610/gsm_encode.c
	src/GSM610/gsm_option.c
	src/GSM610/long_term.c
	src/GSM610/lpc.c
	src/GSM610/preprocess.c
	src/GSM610/rpe.c
	src/GSM610/short_term.c
	src/GSM610/table.c
	src/G72x/g72x.h
	src/G72x/g72x_priv.h
	src/G72x/g721.c
	src/G72x/g723_16.c
	src/G72x/g723_24.c
	src/G72x/g723_40.c
	src/G72x/g72x.c
	src/ALAC/ALACAudioTypes.h
	src/ALAC/ALACBitUtilities.h
	src/ALAC/EndianPortable.h
	src/ALAC/aglib.h
	src/ALAC/dplib.h
	src/ALAC/matrixlib.h
	src/ALAC/alac_codec.h
	src/ALAC/shift.h
	src/ALAC/ALACBitUtilities.c
	src/ALAC/ag_dec.c
	src/ALAC/ag_enc.c
	src/ALAC/dp_dec.c
	src/ALAC/dp_enc.c
	src/ALAC/matrix_dec.c
	src/ALAC/matrix_enc.c
	src/ALAC/alac_decoder.c
	src/ALAC/alac_encoder.c
	${sndfile_HDRS}
	${CMAKE_CURRENT_BINARY_DIR}/src/config.h
	)

add_library (SndFile::sndfile ALIAS sndfile)

target_include_directories (sndfile
	PUBLIC
		$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
		$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/include>
		$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
	PRIVATE
		src
		$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/src>
	)
target_link_libraries (sndfile
	PRIVATE
		$<$<BOOL:${LIBM_REQUIRED}>:m>
		$<$<BOOL:${HAVE_EXTERNAL_XIPH_LIBS}>:Vorbis::vorbisenc>
		$<$<BOOL:${HAVE_EXTERNAL_XIPH_LIBS}>:FLAC::FLAC>
		$<$<AND:$<BOOL:${ENABLE_EXPERIMENTAL}>,$<BOOL:${HAVE_EXTERNAL_XIPH_LIBS}>,$<BOOL:${HAVE_SPEEX}>>:Speex::Speex>
		$<$<BOOL:${HAVE_EXTERNAL_XIPH_LIBS}>:Opus::opus>
	)
set_target_properties (sndfile PROPERTIES
	PUBLIC_HEADER "${sndfile_HDRS}"
	)

if (ENABLE_COMPATIBLE_LIBSNDFILE_NAME)
	if (MINGW OR CYGWIN)
		set_target_properties (sndfile PROPERTIES
			RUNTIME_OUTPUT_NAME "sndfile-1"
			)
	else ()
		set_target_properties (sndfile PROPERTIES
			RUNTIME_OUTPUT_NAME "libsndfile-1"
			)
	endif ()
endif ()

if (BUILD_SHARED_LIBS)

	if (WIN32)
		set (VERSION_MAJOR ${CPACK_PACKAGE_VERSION_MAJOR})
		set (GEN_TOOL cmake)
		
		set (WIN_RC_VERSION "${CPACK_PACKAGE_VERSION_MAJOR},${CPACK_PACKAGE_VERSION_MINOR},${CPACK_PACKAGE_VERSION_PATCH}")
		set (CLEAN_VERSION "${CPACK_PACKAGE_VERSION_MAJOR}.${CPACK_PACKAGE_VERSION_MINOR}.${CPACK_PACKAGE_VERSION_PATCH}")
		set (PACKAGE_VERSION ${CPACK_PACKAGE_VERSION})

		configure_file (src/version-metadata.rc.in src/version-metadata.rc @ONLY)
		target_sources (sndfile PRIVATE ${PROJECT_BINARY_DIR}/src/version-metadata.rc)
	endif ()

	set_target_properties (sndfile PROPERTIES
		SOVERSION ${PROJECT_VERSION_MAJOR}
		VERSION ${PROJECT_VERSION}
		)

	# Symbol files generation

	if (WIN32)
		set (SYMBOL_FILENAME "sndfile.def")
		set (SYMBOL_OS "win32")
	elseif ((CMAKE_SYSTEM_NAME MATCHES "Darwin") OR (CMAKE_SYSTEM_NAME MATCHES "Rhapsody"))
		set (SYMBOL_FILENAME "Symbols.darwin")
		set (SYMBOL_OS "darwin")
	elseif (CMAKE_SYSTEM_NAME MATCHES "OS2")
		set (SYMBOL_FILENAME "Symbols.os2")
		set (SYMBOL_OS "os2")
	elseif (UNIX)
		set (SYMBOL_FILENAME "Symbols.gnu-binutils")
		set (SYMBOL_OS "linux")
	endif ()

	if (DEFINED SYMBOL_OS)
		add_custom_command (
			OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/src/${SYMBOL_FILENAME}
			COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/src/create_symbols_file.py ${SYMBOL_OS} ${PROJECT_VERSION} > ${CMAKE_CURRENT_BINARY_DIR}/src/${SYMBOL_FILENAME}
			COMMENT "Generating ${SYMBOL_FILENAME}..."
			)

		add_custom_target (GENFILES DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/src/${SYMBOL_FILENAME})
		if (SYMBOL_OS MATCHES "win32")
			target_sources (sndfile
				PRIVATE
					${CMAKE_CURRENT_BINARY_DIR}/src/${SYMBOL_FILENAME}
				)
		elseif (SYMBOL_OS MATCHES "darwin")
			add_dependencies (sndfile GENFILES)
			if (CMAKE_VERSION VERSION_LESS 3.13)
				set_property (TARGET sndfile APPEND_STRING PROPERTY
					LINK_FLAGS "-Wl,-exported_symbols_list -Wl,${CMAKE_CURRENT_BINARY_DIR}/src/${SYMBOL_FILENAME}"
					)
			else ()

## libsndfile 1.0.20-0maemo1%2bogg

=== debian/changelog ===
libsndfile (1.0.20-0maemo1+ogg) unstable; urgency=low

  * Configured with ogg/flac support

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 18 Oct 2010 22:15:26 +0200

libsndfile (1.0.20-0maemo1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Marc-Andre Lureau <marc-andre.lureau@nokia.com>  Sat, 23 May 2009 13:22:26 +0300

libsndfile (1.0.20-0maemo1) unstable; urgency=low

  * New upstream version. Fixes: NB#117661
  * Add missing *-dbg. Fixes: NB#118372

 -- Maemo Multimedia <multimedia@maemo.org>  Tue, 19 May 2009 12:52:56 +0300

libsndfile (1.0.19-0maemo1) unstable; urgency=low

  * New Upstream Version.
  * CVE-2009-0186. Fixes: NB#109159

 -- Maemo Multimedia <multimedia@maemo.org>  Mon, 04 May 2009 18:53:59 +0300

libsndfile (1.0.18-2maemo1) unstable; urgency=low

  * Maemo update.

 -- Maemo Multimedia <multimedia@maemo.org>  Thu, 19 Feb 2009 17:18:43 +0200

libsndfile (1.0.18-2) unstable; urgency=low

  * Add missing build-dependencies on pkg-config and libvorbis-dev.

 -- Samuel Mimram <smimram@debian.org>  Tue, 17 Feb 2009 19:21:03 +0100

libsndfile (1.0.18-1) unstable; urgency=low

  * New upstream release.
  - Corrected error messages in libsndfile, closes: #481833.
  * Removed flac-1.1.4.dpatch and overflow.dpatch, integrated upstream.
  * Updated lossy_comp_test-overflow.dpatch and sndfile-play-kfreebsd.dpatch.
  * Updated compat to 7.
  * Updated standards version to 3.8.0.
  * Put homepage in headers instead of description.

 -- Samuel Mimram <smimram@debian.org>  Mon, 16 Feb 2009 10:13:44 +0100

libsndfile (1.0.17-4maemo1) unstable; urgency=low

  * maemo update
   - remove flac build/dev dependency.

 -- Marc-Andre Lureau <marcandre.lureau@gmail.com>  Mon, 14 Jan 2008 20:16:53 +0200

libsndfile (1.0.17-4) unstable; urgency=low

  * Added overflow.dpatch to fix a possible heap-based buffer overflow
    (CVE-2007-4974), closes: #443386.

 -- Samuel Mimram <smimram@debian.org>  Thu, 20 Sep 2007 23:40:17 +0000

libsndfile (1.0.17-3) unstable; urgency=low

  * Version dependencies on libflac-dev, closes: #431140.

 -- Samuel Mimram <smimram@debian.org>  Sat, 30 Jun 2007 17:05:38 +0200

libsndfile (1.0.17-2) unstable; urgency=low

  * Added flac-1.1.4.dpatch to adapt to the new FLAC API, closes: #426676.
  * Don't build-depend on libasound2-dev on hurd, closes: #426795.

 -- Samuel Mimram <smimram@debian.org>  Fri, 15 Jun 2007 12:41:00 +0200

libsndfile (1.0.17-1) unstable; urgency=low

  * Adopting the package, closes: #418082.
  * New upstream release, closes: #407635.
  * Big-endian architectures should now correctly be handled by sndfile-play,
    closes: #350807.
  * Using dpatch to handle patches.
  * Added lossy_comp_test-overflow.dpatch to prevent a possible overflow in
    the tests when compiled with gcc 4.2, closes: #362414.
  * Added sndfile-play-kfreebsd.dpatch to make sndfile-play work on kfreebsd,
    closes: #376525.

 -- Samuel Mimram <smimram@debian.org>  Sat, 07 Apr 2007 13:07:14 +0200

libsndfile (1.0.16-1) unstable; urgency=low

  * New upstream release
  * Update standards version (no changes required)

 -- Anand Kumria <wildfire@progsoc.org>  Mon,  3 Jul 2006 20:24:54 +1000

libsndfile (1.0.15-3) unstable; urgency=low

  * Depend on libasound2-dev so we use ALSA for the example programs 
    rather than (potentially) using OSS. Should fix #350807 but I'll
    wait until the reporter confirms this before closing.

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 24 Apr 2006 22:21:00 +1000

libsndfile (1.0.15-2) unstable; urgency=medium

  * Pull changes from 1.0.16pre1 for src/aiff.c so we can build on m68k 
  (Closes: #359325)

 -- Anand Kumria <wildfire@progsoc.org>  Wed, 29 Mar 2006 23:07:45 +1100

libsndfile (1.0.15-1) unstable; urgency=low

  * New upstream release
  * Fix ia64 compilation issues (and possible ARM and m68k)
  * Add RIFX support

 -- Anand Kumria <wildfire@progsoc.org>  Fri, 17 Mar 2006 11:32:16 +1100

libsndfile (1.0.14-1) unstable; urgency=low

  * New upstream release

 -- Anand Kumria <wildfire@progsoc.org>  Tue, 21 Feb 2006 22:20:26 +1100

libsndfile (1.0.13-1) unstable; urgency=low

  * New upstream release
  * Add reading/writing of instrument chunks to WAV and AIFF files
  * Support G721 / G610 coded WAV files

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 23 Jan 2006 08:35:00 +1100

libsndfile (1.0.12-3) unstable; urgency=medium

  * Add dependancy on libflac-dev to libsndfile1-dev (Closes: #332591)

 -- Anand Kumria <wildfire@progsoc.org>  Sat,  8 Oct 2005 14:32:56 +1000

libsndfile (1.0.12-2) unstable; urgency=low

  * Depend on libflac7 (Closes: #331040)

 -- Anand Kumria <wildfire@progsoc.org>  Sat, 01 Oct 2005 20:15:28 +1000

libsndfile (1.0.12-1) unstable; urgency=low

  * New upstream release
  * Upstream has updated config.sub/config.guess (Closes: #328147)
  * Upstream now supports Ogg Flac, so depend on libflac-dev
  * Update to standards version 3.6.2.1

 -- Anand Kumria <wildfire@progsoc.org>  Fri, 30 Sep 2005 15:57:54 +1000

libsndfile (1.0.11-1) unstable; urgency=low

  * New upstream release

 -- Anand Kumria <wildfire@progsoc.org>  Sun, 17 Jul 2005 01:00:59 +1000

libsndfile (1.0.10-2) unstable; urgency=medium

  * Patch from upstream to correct flaw in sndfile-progs
  * Corrects sndfile-convert (closes: #271999)

 -- Anand Kumria <wildfire@progsoc.org>  Sat, 18 Sep 2004 04:33:42 +1000

libsndfile (1.0.10-1) unstable; urgency=low

  * New upstream release
  * Slightly different patch from upstream to correct #253490
  * bugfixes to AIFF/WAV read/write
  * hardier testsuite
  * 1.0.9 were accidently uploaded as Debian native. Fix that.

 -- Anand Kumria <wildfire@progsoc.org>  Thu, 17 Jun 2004 00:05:56 +1000

libsndfile (1.0.9-2) unstable; urgency=low

  * Apply patch from Andreas Jochens to correctly cast to size_t various
    arguments (closes: #253490)



=== debian/control ===
Source: libsndfile
Section: devel
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
XSBC-Original-Maintainer: Samuel Mimram <smimram@debian.org>
Build-Depends: debhelper (>= 5), dpatch, pkg-config, libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64], libflac-dev, libogg-dev, libvorbis-dev
Standards-Version: 3.8.0
Homepage: http://www.mega-nerd.com/libsndfile/

Package: libsndfile1-dev
Section: libdevel
Architecture: any
Depends: libsndfile1 (= ${binary:Version}), pkg-config
Conflicts: libsndfile-dev, libsndfile0-dev
Replaces: libsndfile-dev
Provides: libsndfile-dev
Description: Library for reading/writing audio files
 libsndfile is a library of C routines for reading and writing files containing
 sampled audio data.
 .
 This is the development version of libsndfile. You will need this only if you
 intend to compile programs that use this library.

Package: libsndfile1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Description: Library for reading/writing audio files
 libsndfile is a library of C routines for reading and writing files containing
 sampled audio data.
 .
 Various versions of WAV (integer, floating point, GSM, and compressed formats);
 Microsoft PCM, A-law and u-law formats; AIFF, AIFC and RIFX; various AU/SND
 formats (Sun/NeXT, Dec AU, G721 and G723 ADPCM); RAW header-less PCM files;
 Amiga IFF/8SVX/16SV PCM files; Ensoniq PARIS  (.PAF); Apple's Core Audio Format
 (CAF) and others.

Package: sndfile-programs
Section: utils
Architecture: any
Depends: ${shlibs:Depends}
Description: Sample programs that use libsndfile
 This package contains simple programs for playing and converting sound files
 with the libsndfile library.

Package: libsndfile1-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, libsndfile1 (= ${binary:Version})
Description: Library for reading/writing audio files, debugging symbols
 libsndfile is a library of C routines for reading and writing files containing
 sampled audio data.
 .
 Various versions of WAV (integer, floating point, GSM, and compressed formats);
 Microsoft PCM, A-law and u-law formats; AIFF, AIFC and RIFX; various AU/SND
 formats (Sun/NeXT, Dec AU, G721 and G723 ADPCM); RAW header-less PCM files;
 Amiga IFF/8SVX/16SV PCM files; Ensoniq PARIS  (.PAF); Apple's Core Audio Format
 (CAF) and others.
 .
 This package contains detached debugging symbols for the libsndfile1
 library.

Package: sndfile-programs-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, sndfile-programs (= ${binary:Version})
Description: Sample programs that use libsndfile, debugging symbols
 This package contains simple programs for playing and converting sound files
 with the libsndfile library.
 .
 This package contains detached debugging symbols for the sndfile-programs
 library.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

config.status: configure
	dh_testdir
	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info


build: patch build-stamp
build-stamp:  config.status
	dh_testdir

	$(MAKE)
	$(MAKE) check

	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -f build-stamp

	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean -a

install: build
	dh_testdir
	dh_testroot
	dh_clean -k -a #dh_prep -a
	dh_installdirs

	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install -a --sourcedir=debian/tmp --list-missing
	dh_installdocs -a
	dh_installexamples -a
	dh_installchangelogs -a ChangeLog
	dh_strip -plibsndfile1 --dbg-package=libsndfile1-dbg
	dh_strip -psndfile-programs --dbg-package=sndfile-programs-dbg
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -plibsndfile1
	dh_installdeb -a
	dh_shlibdeps -plibsndfile1
	dh_shlibdeps -psndfile-programs -ldebian/tmp/usr/lib
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install patch unpatch

## libsndfile 1.0.21

=== debian/changelog ===
libsndfile (1.0.21-3+squeeze1~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny-backports.
  * Add myself as an uploader. 

 -- Andres Salomon <dilinger@debian.org>  Sun, 13 Nov 2011 08:42:36 +0000

libsndfile (1.0.21-3+squeeze1) stable-security; urgency=low

  * CVE-2011-2696

 -- Moritz Muehlenhoff <jmm@debian.org>  Mon, 25 Jul 2011 16:19:09 +0000

libsndfile (1.0.21-3) unstable; urgency=low

  * Add patch 02flac_zero_len.diff to make FLAC handler work on files of
    unknown length (FLAC metadata says 0 frames). (Closes: #590752).
  * debian/control : Standards version 3.9.0.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Mon,  2 Aug 2010 19:28:17 +1000

libsndfile (1.0.21-2) unstable; urgency=low

  * Patch configure.ac to generate symbols file for kfreebsd (Closes: 561086).
  * debian/control : Add build-dep on autoconf and automake (for autoreconf).
  * debian/rules : Run autoreconf before configure.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Tue, 15 Dec 2009 20:59:14 +1100

libsndfile (1.0.21-1) unstable; urgency=low

  * New upstream.
  * debian/rules :
     - Remove old man pages which are now in upstream package.
     - Remove old patches now in usptream.
     - sndfile-programs now recommends sndfile-tools.
  * debian/control : Updated long desription for sndfile-programs.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Mon, 14 Dec 2009 20:12:32 +1100

libsndfile (1.0.20-3) unstable; urgency=low

  * debian/rules :
    - Man pages belong to sndfile-programs. (Closes: #549972).
    - Make sure that test suite failures are not ignored.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Wed,  7 Oct 2009 06:56:20 +1100

libsndfile (1.0.20-2) unstable; urgency=low

  * debian/control :
    - New maintainer (Closes: #546787).
    - Add DM-Upload-Allowed yes.
    - Standards-Version: 3.8.3.
    - Depend on libvorbis >= 1.2.3. Version 1.2.0 gives weird results on some
      arches (eg PPC, MIPS) (Closes: #518037).
  * debian/copyright :
    - Add missing license info (Closes: #532448).
  * debian/rules :
    - Clear dependency_libs field of libsndfile.la (Closes: #539889).
  * debian/patches/ debian/rules debian/control :
    - Use quilt instead of dpatch.
  * Add file debian/README.source
  * Add patch debian/patches/02man_sndfile_convert.diff to fix man page lintian
    warning.
  * Add three new manpages.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Tue,  6 Oct 2009 21:34:58 +1100

libsndfile (1.0.20-1) unstable; urgency=low

  * New upstream release.
  * Fixes potential heap overflows on VOC and AIFF files, closes: #528650.

 -- Samuel Mimram <smimram@debian.org>  Tue, 19 May 2009 09:13:56 +0200

libsndfile (1.0.19-2) unstable; urgency=low

  * Ignore failures of check since it causes too many false negatives,
    closes: #518037, #519338.
  * Update standards version to 3.8.1.

 -- Samuel Mimram <smimram@debian.org>  Mon, 16 Mar 2009 09:44:42 +0100

libsndfile (1.0.19-1) unstable; urgency=low

  * New upstream release.
  - Adds back flac support, closes: #517224.

 -- Samuel Mimram <smimram@debian.org>  Tue, 03 Mar 2009 09:36:10 +0100

=== debian/control ===
Source: libsndfile
Section: devel
Priority: optional
Maintainer: Erik de Castro Lopo <erikd@mega-nerd.com>
Uploaders: Andres Salomon <dilinger@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.0), pkg-config,
 autoconf, automake,
 libvorbis-dev (>= 1.2.3), libflac-dev (>= 1.1.4-3),
 libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
Standards-Version: 3.9.0
Homepage: http://www.mega-nerd.com/libsndfile/

Package: libsndfile1-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libsndfile1 (= ${binary:Version}), pkg-config,
 libvorbis-dev (>= 1.2.3), libflac-dev (>= 1.1.4-3)
Conflicts: libsndfile-dev, libsndfile0-dev
Replaces: libsndfile-dev
Provides: libsndfile-dev
Description: Development files for libsndfile; a library for reading/writing audio files
 libsndfile is a library of C routines for reading and writing files containing
 sampled audio data.
 .
 This is the development version of libsndfile. You will need this only if you
 intend to compile programs that use this library.

Package: libsndfile1
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Library for reading/writing audio files
 libsndfile is a library of C routines for reading and writing files containing
 sampled audio data.
 .
 Various versions of WAV (integer, floating point, GSM, and compressed formats);
 Microsoft PCM, A-law and u-law formats; AIFF, AIFC and RIFX; various AU/SND
 formats (Sun/NeXT, Dec AU, G721 and G723 ADPCM); RAW header-less PCM files;
 Amiga IFF/8SVX/16SV PCM files; Ensoniq PARIS  (.PAF); Apple's Core Audio Format
 (CAF) and others.

Package: sndfile-programs
Section: utils
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: sndfile-tools
Description: Sample programs that use libsndfile
 This package contains simple programs which use libsndfile for operating on
 sound files.
 .
 Programs include:
   - sndfile-cmp : compare the audio data of two files
   - sndfile-concat : concatenate two or more files
   - sndfile-convert : convert between sound file formats
   - sndfile-info : print information about files
   - sndfile-metadata-get/set : get and set file metadata
   - sndfile-play : play a sound file

## libsndfile 1.0.23

=== debian/changelog ===
libsndfile (1.0.23-1ubuntu0.1) natty-security; urgency=low

  * SECURITY UPDATE: integer overflow leading to heap-based overflow
    - debian/CVE-2011-2696.patch: verify paf header length and paf channels
    - CVE-2011-2696

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 21 Jul 2011 15:32:10 -0500

libsndfile (1.0.23-1build1) natty; urgency=low

  * No-change upload to reduce shipped changelogs.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 03 Dec 2010 09:13:26 +0100

libsndfile (1.0.23-1) unstable; urgency=low

  * New upstream (Closes: #599145, #545257).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Sun, 10 Oct 2010 18:31:15 +1100

libsndfile (1.0.22-1) unstable; urgency=low

  * New upstream.
  * Remove debian/patches/01kfreebsd_symbols.diff (already in upstream).
  * Remove debian/patches/02flac_zero_len.diff (already in upstream).
  * debian/control :
     - Remove build-dep on autoconf and automake.
     - Standard version 3.9.1.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Mon,  4 Oct 2010 12:28:26 +1100

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: libsndfile
 Section: devel
 Priority: optional
-Maintainer: Erik de Castro Lopo <erikd@mega-nerd.com>
-Uploaders: Andres Salomon <dilinger@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Erik de Castro Lopo <erikd@mega-nerd.com>
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7.0.0), pkg-config,
- autoconf, automake,
  libvorbis-dev (>= 1.2.3), libflac-dev (>= 1.1.4-3),
  libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
-Standards-Version: 3.9.0
+Standards-Version: 3.9.1
 Homepage: http://www.mega-nerd.com/libsndfile/
 
 Package: libsndfile1-dev

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-include /usr/share/dpatch/dpatch.make
 
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
@@ -22,14 +20,17 @@
 
 config.status: configure
 	dh_testdir
+	#autoreconf -f
 	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
 
 
 build: patch build-stamp
-build-stamp:  config.status
+build-stamp: config.status
 	dh_testdir
 
 	$(MAKE)
+
+	# Failure in test suite must cause a build failure.
 	$(MAKE) check
 
 	touch build-stamp
@@ -46,10 +47,15 @@
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k -a #dh_prep -a
+	dh_prep -a
 	dh_installdirs
 
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+
+	set -e; for FILE in debian/tmp/usr/lib/*.la; \
+	do \
+		sed -i "/dependency_libs/ s/'.*'/''/" $$FILE; \
+	done
 
 binary-indep: build install
 
@@ -57,11 +63,15 @@
 	dh_testdir
 	dh_testroot
 	dh_install -a --sourcedir=debian/tmp --list-missing
+
+	# This line can be removed when these man pages get pushed upstream.
+	dh_installman -psndfile-programs debian/sndfile-interleave.1
+	dh_link -psndfile-programs usr/share/man/man1/sndfile-interleave.1 usr/share/man/man1/sndfile-deinterleave.1
+
 	dh_installdocs -a
 	dh_installexamples -a
 	dh_installchangelogs -a ChangeLog
-	dh_strip -plibsndfile1 --dbg-package=libsndfile1-dbg
-	dh_strip -psndfile-programs --dbg-package=sndfile-programs-dbg
+	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
 	dh_makeshlibs -plibsndfile1

## libsndfile 1.0.24

=== debian/changelog ===
libsndfile (1.0.24-1ubuntu2) oneiric; urgency=low

  * Build for multiarch.  LP: #825342.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Aug 2011 12:39:20 -0700

libsndfile (1.0.24-1ubuntu1) oneiric; urgency=low

  * SECURITY UPDATE: integer overflow leading to heap-based overflow
    - debian/CVE-2011-2696.patch: verify paf header length and paf channels.
      This can be dropped with 1.0.25.
    - CVE-2011-2696

 -- Jamie Strandboge <jamie@ubuntu.com>  Thu, 21 Jul 2011 15:29:06 -0500

libsndfile (1.0.24-1) unstable; urgency=low

  * New upstream.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Wed, 23 Mar 2011 20:50:15 +1100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Erik de Castro Lopo <erikd@mega-nerd.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.0), pkg-config,
+Build-Depends: debhelper (>= 8.1.3), pkg-config,
  libvorbis-dev (>= 1.2.3), libflac-dev (>= 1.1.4-3),
  libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
 Standards-Version: 3.9.1
@@ -28,6 +28,8 @@
 Package: libsndfile1
 Section: libs
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Library for reading/writing audio files
  libsndfile is a library of C routines for reading and writing files containing

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
-
+DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -g
@@ -21,7 +21,7 @@
 config.status: configure
 	dh_testdir
 	#autoreconf -f
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
+	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
 
 
 build: patch build-stamp
@@ -30,8 +30,10 @@
 
 	$(MAKE)
 
+ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE)))
 	# Failure in test suite must cause a build failure.
 	$(MAKE) check
+endif
 
 	touch build-stamp
 
@@ -52,7 +54,7 @@
 
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 
-	set -e; for FILE in debian/tmp/usr/lib/*.la; \
+	set -e; for FILE in debian/tmp/usr/lib/*/*.la; \
 	do \
 		sed -i "/dependency_libs/ s/'.*'/''/" $$FILE; \
 	done
@@ -77,7 +79,7 @@
 	dh_makeshlibs -plibsndfile1
 	dh_installdeb -a
 	dh_shlibdeps -plibsndfile1
-	dh_shlibdeps -psndfile-programs -ldebian/tmp/usr/lib
+	dh_shlibdeps -psndfile-programs -ldebian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
 	dh_gencontrol -a
 	dh_md5sums -a
 	dh_builddeb -a

## libsndfile 1.0.25

=== debian/changelog ===
libsndfile (1.0.25-7ubuntu1) saucy; urgency=low

  * Update config.{guess,sub} for AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 13 Aug 2013 14:11:45 +0200

libsndfile (1.0.25-7) unstable; urgency=low

  * debian/control debian/rules
    Create -dbg versions of libsndfile1 and sndfile-programs binary packages.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Sat, 13 Jul 2013 18:48:35 +1000

libsndfile (1.0.25-6) unstable; urgency=low

  * debian/patches/01_sd2_rsrc_segfault.diff : Patch from upstream git.
  * debian/rules : Remove cruft at end of ifeq line.
  * debian/control : Remove DM-Upload-Allowed which no longer works.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Fri, 28 Jun 2013 17:39:23 +1000

libsndfile (1.0.25-5) unstable; urgency=low

  * debian/libsndfile1-dev: Do not install libsndfile.la (Closes: #670420).
  * debian/control: Standards version 3.9.3. No changes needed.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Mon, 18 Jun 2012 19:22:57 +1000

libsndfile (1.0.25-4) unstable; urgency=low

  * Patch from Moritz Muehlenhoff enabling harden build flags (Closes: #654831).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Fri,  6 Jan 2012 21:19:17 +1100

libsndfile (1.0.25-3) unstable; urgency=low

  * Patch from Steve Langasek to enable multiarch (Closes: #637585).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Sat, 13 Aug 2011 09:01:35 +1000

libsndfile (1.0.25-2) unstable; urgency=low

  * debian/control: Use linux-any dpkg architecture wildcard (Closes: #634492).

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Tue, 19 Jul 2011 18:40:14 +1000

libsndfile (1.0.25-1) unstable; urgency=low

  * New upstream.
  * debian/control: Update standards version (no changes needed).
  * debian/rules: Add build-indep and build-arch targets.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Mon, 18 Jul 2011 20:06:57 +1000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: libsndfile
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Erik de Castro Lopo <erikd@mega-nerd.com>
-DM-Upload-Allowed: yes
+Maintainer: Erik de Castro Lopo <erikd@mega-nerd.com>
 Build-Depends: debhelper (>= 8.1.3), pkg-config,
  libvorbis-dev (>= 1.2.3), libflac-dev (>= 1.1.4-3),
- libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
-Standards-Version: 3.9.1
+ libasound2-dev [linux-any]
+Standards-Version: 3.9.3
 Homepage: http://www.mega-nerd.com/libsndfile/
 
 Package: libsndfile1-dev
@@ -57,3 +55,29 @@
    - sndfile-info : print information about files
    - sndfile-metadata-get/set : get and set file metadata
    - sndfile-play : play a sound file
+
+Package: libsndfile1-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends:
+    libsndfile1 (= ${binary:Version}),
+    ${misc:Depends}
+Description: debugging symbols for libsndfile
+ libsndfile is a library of C routines for reading and writing files containing
+ sampled audio data.
+ .
+ This package contains the debugging symbols for libsndfile.
+
+Package: sndfile-programs-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends:
+    sndfile-programs (= ${binary:Version}),
+    ${misc:Depends}
+Description: debugging symbols for sndfile-programs
+ This package contains simple programs which use libsndfile for operating on
+ sound files.
+ .
+ This package contains the debugging symbols for sndfile-programs.

=== debian/rules ===
--- 
+++ 
@@ -5,15 +5,19 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
+
+# http://wiki.debian.org/Hardening#Using_Hardening_Options
+CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
+
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 DEB_HOST_MULTIARCH  ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
-ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
-	CFLAGS += -g
-endif
 ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
 	INSTALL_PROGRAM += -s
 endif
@@ -21,7 +25,10 @@
 config.status: configure
 	dh_testdir
 	#autoreconf -f
-	./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
+	./configure $(shell dpkg-buildflags --export=configure) \
+		--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr \
+		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
+		--mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
 
 
 build: patch build-stamp
@@ -30,7 +37,7 @@
 
 	$(MAKE)
 
-ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE)))
+ifeq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
 	# Failure in test suite must cause a build failure.
 	$(MAKE) check
 endif
@@ -54,12 +61,12 @@
 
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
 
-	set -e; for FILE in debian/tmp/usr/lib/*/*.la; \
-	do \
-		sed -i "/dependency_libs/ s/'.*'/''/" $$FILE; \
-	done
+	# Purge *.la files. See: http://wiki.debian.org/ReleaseGoals/LAFileRemoval
+	rm -f debian/tmp/usr/lib/*/*.la
 
 binary-indep: build install
+build-arch: build
+build-indep: build
 
 binary-arch: build install
 	dh_testdir
@@ -73,7 +80,10 @@
 	dh_installdocs -a
 	dh_installexamples -a
 	dh_installchangelogs -a ChangeLog
-	dh_strip -a
+
+	dh_strip -plibsndfile1 --dbg-package=libsndfile1-dbg
+	dh_strip -psndfile-programs --dbg-package=sndfile-programs-dbg
+
 	dh_compress -a
 	dh_fixperms -a
 	dh_makeshlibs -plibsndfile1
@@ -84,5 +94,7 @@
 	dh_md5sums -a
 	dh_builddeb -a
 
+
+
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install patch unpatch

## libsndfile 1.0.27

=== debian/changelog ===
libsndfile (1.0.27-3) unstable; urgency=medium

  * Mentioned CVEs fixed by fix_bufferoverflows.patch
    (CVE-2017-7741, CVE-2017-7586, CVE-2017-7585)
  * Backported patch for error handling of malicious/broken FLAC files
    (CVE-2017-7742, CVE-2017-7741, CVE-2017-7585)
    (Closes: #860255)
  * Backported patch to fix buffer read overflow in FLAC code
    (CVE-2017-8362)
    (Closes: #862204)
  * Backported patches to fix memory leaks in FLAC code
    (CVE-2017-8363)
    (Closes: #862203)
  * Backported patch to fix buffer overruns in FLAC-code
    (CVE-2017-8365, CVE-2017-8363, CVE-2017-8361)
    (Closes: #862205, #862203, #862202)

  * Added Vcs-* stanzas to d/control

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Sun, 28 May 2017 22:52:39 +0200

libsndfile (1.0.27-2) unstable; urgency=medium

  * Backported fixes for buffer-write overflows from 1.0.28.
    Thanks to Erik de Castro Lopo
  * Added myself to uploaders

 -- IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>  Tue, 04 Apr 2017 15:33:45 +0200

libsndfile (1.0.27-1) unstable; urgency=low

  [ Erik de Castro Lopo ]
  * debian/patches : Drop un-needed patches.
  * debian/control : Standards version 3.9.8.
  * debian/copyright : Fix typo.
  * libsndfile1.symbols : Add new symbols.
  * Drop man pages that are now in upstream package.

  [ IOhannes m zmölnig ]
  * debian/patches :
    - Fix spelling errors.
  * debian/rules :
    - Drop deprecated inclusion of hardening-includes.
    - Disable silent builds.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Wed,  5 Oct 2016 22:32:40 +0200

libsndfile (1.0.25-10) unstable; urgency=low

  * debian/patches :
    - Add 02_sd2_buffer_read_overflow.diff (CVE-2014-9496, closes: #774162).
    - Add 03_file_io_divide_by_zero.diff (CVE-2014-9756, closes: #804447).
    - Add 04_fix_aiff_heap_overflow.diff (CVE-2015-7805, closes: #804445).
  * Install sndfile-salvage binary and man page.
  * debian/control: Standards version 3.9.6. No changes needed.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Tue, 10 Nov 2015 20:36:47 +1100

libsndfile (1.0.25-9) unstable; urgency=low

  * debian/rules: Switch from autotools-dev to dh-autoreconf.
  * debian/control Standards-Version 3.9.5.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Wed, 29 Jan 2014 18:21:13 +1100

libsndfile (1.0.25-8) unstable; urgency=low

  [Wookey <wookey@debian.org>]
  * Ensure config.sub/guess are up to date (Closes: #732346).

  [Erik de Castro Lopo]
  * debian/control:
    - Standards version 3.9.4. No changes needed.
    - Set 'Multi-Arch: same' for -dbg package.

 -- Erik de Castro Lopo <erikd@mega-nerd.com>  Tue, 17 Dec 2013 21:18:40 +1100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,15 @@
 Section: devel
 Priority: optional
 Maintainer: Erik de Castro Lopo <erikd@mega-nerd.com>
-Build-Depends: debhelper (>= 8.1.3), pkg-config,
+Uploaders:
+ IOhannes m zmölnig (Debian/GNU) <umlaeute@debian.org>,
+Build-Depends: debhelper (>= 8.1.3), pkg-config, dh-autoreconf,
  libvorbis-dev (>= 1.2.3), libflac-dev (>= 1.1.4-3),
  libasound2-dev [linux-any]
-Standards-Version: 3.9.3
+Standards-Version: 3.9.8
 Homepage: http://www.mega-nerd.com/libsndfile/
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/libsndfile.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/libsndfile.git
 
 Package: libsndfile1-dev
 Section: libdevel
@@ -60,6 +64,7 @@
 Architecture: any
 Section: debug
 Priority: extra
+Multi-Arch: same
 Depends:
     libsndfile1 (= ${binary:Version}),
     ${misc:Depends}
